﻿using Syncfusion.Grouping;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.XlsIO;
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    SqlConnection myConnection = null;
    SqlDataAdapter myDataAdapter = null;
    DataSet myDataSet = null;

    string ConnectionString = @"Data Source=(LocalDB)\v11.0;AttachDbFilename=|DataDirectory|\NORTHWND.MDF;Integrated Security=True";
    

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            //Bind data to GridGroupingControl.
            this.GridGroupingControl1.DataSource= GetData();
            this.GridGroupingControl1.DataBind();
        }
    }
    
    private DataTable GetData()
    {
        try
        {
            myConnection = new SqlConnection(ConnectionString);
            myDataAdapter = new SqlDataAdapter("SELECT [OrderID], [CustomerID], [ShipCity], [ShipCountry], Freight FROM Orders", myConnection);
            myDataSet = new DataSet();
            myDataAdapter.Fill(myDataSet);
            DataTable myDataTable = myDataSet.Tables[0];

            return myDataTable;
        }
        catch (SqlException ex)
        {
            throw ex;
        }
        catch (Exception ex)
        {
            throw ex;
        }
    }    
}
